/*
SKIP Source Code License Statement:
------------------------------------------------------------------
  Copyright
  Sun Microsystems, Inc.


  Copyright (C) 1994, 1995 Sun Microsystems, Inc.  All Rights
  Reserved.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation
  files (the "Software"), to deal in the Software without
  restriction, including without limitation the rights to use,
  copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software or derivatives of the Software, and to 
  permit persons to whom the Software or its derivatives is furnished 
  to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  The Software must not be transferred to persons who are not US
  citizens or permanent residents of the US or exported outside
  the US (except Canada) in any form (including by electronic
  transmission) without prior written approval from the US
  Government. Non-compliance with these restrictions constitutes
  a violation of the U.S. Export Control Laws.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT.  IN NO EVENT SHALL SUN MICROSYSTEMS, INC., BE LIABLE
  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR DERIVATES OF THIS SOFTWARE OR 
  THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  Except as contained in this notice, the name of Sun Microsystems, Inc.
  shall not be used in advertising or otherwise to promote
  the sale, use or other dealings in this Software or its derivatives 
  without prior written authorization from Sun Microsystems, Inc.
*/

#pragma ident "@(#)es_glue.h	1.2 95/11/15 Sun Microsystems"


#ifdef  __cplusplus
extern "C" {
#endif

#define	KEYSTAT				"keystat"
#define	SKIPSTAT			"skipstat"
#define	SKIPSTAT_UI			"skipstat_ui"
#define STRSZ				(256)
#define SKIP_SMALL_ICON			"skiptool_small.ras"
#define SKIP_UNKNOWN_ICON		"unknown.ras"
#define SKIP_NONE_ICON			"none.ras"
#define SKIP_ICON_V1			"icon_v1.ras"
#define SKIP_ICON_V2			"icon_v2.ras"
#define SKIP_MSG_WAIT			3


enum { NoAccess, AskFirst, AddAutomatically };
enum { Select = 0, Deselect, Cancel };

/*
 * structure holding ACL info for one host
 */
typedef struct {
	skiptool_hostwin_objects	*win;	/* window info */
	skip_param_t			params;	/* access control parameters */
} es_acl_t;


/*
 * structure for holding a list of systems
 */
typedef struct es_system {
	struct es_system	*next;
	skip_param_t		params;
	char			*desc;
} es_system_t;


extern Server_image			unknown, none, icon_v1, icon_v2;
extern char				ifname[];
extern char				*es_path(char *);

extern skiptool_base_window_objects	*Skiptool_base_window;
skiptool_key_params_win_objects		*Skiptool_key_params_win;
skiptool_hostwin_objects		*Skiptool_hostwin;
skiptool_required_win_objects		*Skiptool_required_win;
skiptool_about_win_objects		*Skiptool_about_win;
